Compatibility

Know about ONESPY App compatibility on your target phone

  • ONESPY is compatible with Android Ver. 4.1+ smart devices.
  • Best Suited for Samsung, HTC, Sony, Lenovo, Motorola and LG.
  • Gionee, Oppo and Vivo are not suggested by ONESPY.
  • Prior installation, check system requirements of your target device.
  • If you encounter any trouble, speak to ONESPY team.
Samsung, OnePlus, HTC, Sony, Motorola

Popular Phones

Below is a brief table listing some of the most installed phones on our servers.

Although we did not mention a lot of phones as new devices keep coming everyday, you are advised to consult with us over call, chat or email regarding compatibility of your device.

Samsung Galaxy S8 & S8+ Samsung Galaxy Note 8 Samsung Galaxy A/J Series
Motorola G4, G4 Plus & G5 Motorola Z & Z Play Oneplus 1, 2, 3, 3T, 4, 5 & 5T

Note: We do not recommend installing on Gionee, Oppo, Vivo, Le or other devices with any type of enforced power-saving or security features. They may prevent application from being running or stop it permanently. This will not be considered a bug in our application but a phone limitation, hence a refund will not be satisfied in the case. It is the responsibility of the user to confirm by contacting us whether his/her device is compatible or not because we cannot mention compatibility for every device and there are over 3,00,000 different Android models.

Samsung
Motorola
Lenovo
LG
HTC
Sony
System Requirements
  • The target device must be running Android 4.1+
  • The target Android device must be connected to the Internet.
  • Physical access of device is required to install Onespy only.
  • Instant messengers monitoring work on rooted Androids only.
Check Android Version
  • Open your phone's menu. Tap "Settings".
  • Scroll down towards the bottom.
  • Select "About Device" or "About Phone".
  • The OS version is shown under "Android Version".